Inbound Inspection History

The inbound inspection history resource.

Basehttps://rest.carbon.ms/inboundInspectionHistory
GET/inboundInspectionHistory

List inbound inspection historys

Retrieve a paginated list of inbound inspection historys. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/inboundInspectionHistory
curl --request GET \
  --url 'https://rest.carbon.ms/inboundInspectionHistory?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "inboundInspectionId": "xyz789",
    "itemId": "xyz789",
    "samplingStandard": "string",
    "severity": "string",
    "lotSize": 0,
    "sampleSize": 0,
    "defectsFound": 0
  }
]
GET/inboundInspectionHistory

Retrieve a inbound inspection history

Fetch a single inbound inspection history by filtering on `id`.

Query parameters

idstring

Match on the inbound inspection history's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/inboundInspectionHistory
curl --request GET \
  --url 'https://rest.carbon.ms/inboundInspectionHistory?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "inboundInspectionId": "xyz789",
  "itemId": "xyz789",
  "samplingStandard": "string",
  "severity": "string",
  "lotSize": 0,
  "sampleSize": 0,
  "defectsFound": 0
}
POST/inboundInspectionHistory

Create a inbound inspection history

Create a new inbound inspection history.

Body parameters

inboundInspectionIdstringrequired

References inboundInspection.id

itemIdstringrequired

References item.id

supplierIdstring

References supplier.id

samplingStandardsamplingStandardrequired
severityinspectionSeverityrequired
inspectionLevelinspectionLevel
aqlnumber
lotSizenumberrequired
sampleSizenumberrequired
defectsFoundnumberrequired
outcomestringrequired
companyIdstringrequired

References company.id

POSThttps://rest.carbon.ms/inboundInspectionHistory
curl --request POST \
  --url https://rest.carbon.ms/inboundInspectionHistory \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"inboundInspectionId":"xyz789","itemId":"xyz789","samplingStandard":"string","severity":"string","lotSize":0,"sampleSize":0,"defectsFound":0,"outcome":"string","companyId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "inboundInspectionId": "xyz789",
  "itemId": "xyz789",
  "samplingStandard": "string",
  "severity": "string",
  "lotSize": 0,
  "sampleSize": 0,
  "defectsFound": 0
}
PATCH/inboundInspectionHistory

Update a inbound inspection history

Update an existing inbound inspection history, matched on `id`.

Body parameters

inboundInspectionIdstringrequired

References inboundInspection.id

itemIdstringrequired

References item.id

supplierIdstring

References supplier.id

samplingStandardsamplingStandardrequired
severityinspectionSeverityrequired
inspectionLevelinspectionLevel
aqlnumber
lotSizenumberrequired
sampleSizenumberrequired
defectsFoundnumberrequired
outcomestringrequired
companyIdstringrequired

References company.id

PATCHhttps://rest.carbon.ms/inboundInspectionHistory
curl --request PATCH \
  --url 'https://rest.carbon.ms/inboundInspectionHistory?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"inboundInspectionId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "inboundInspectionId": "xyz789",
  "itemId": "xyz789",
  "samplingStandard": "string",
  "severity": "string",
  "lotSize": 0,
  "sampleSize": 0,
  "defectsFound": 0
}
DELETE/inboundInspectionHistory

Delete a inbound inspection history

Delete a inbound inspection history, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the inbound inspection history to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/inboundInspectionHistory
curl --request DELETE \
  --url 'https://rest.carbon.ms/inboundInspectionHistory?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content